Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
/
variables
/
all
List All Variables
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/variables/all \
  --header 'apikey: <api-key>'
[
  {
    "name": "auth.uid",
    "description": "Authenticated user UID",
    "sourceType": "auth",
    "category": "auth",
    "usageCount": 2,
    "usedByAgents": [
      {
        "uid": "agent-1",
        "name": "Support Agent"
      }
    ],
    "usedByTools": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Query Parameters

groupByCategory
boolean

Group variables by category

Response

200 - application/json

List of variables (flat array or grouped by category)

name
string
description
string
sourceType
string
category
string
usageCount
number
usedByAgents
object[]
usedByTools
object